Bug 628846 - 'rhncfg-client elist' cannot deal with symlinks same info as files or dirs
'rhncfg-client elist' cannot deal with symlinks same info as files or dirs
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
540
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael Mráka
Jiri Kastner
:
Depends On:
Blocks: sat54-errata
  Show dependency treegraph
 
Reported: 2010-08-31 04:03 EDT by Pavel Novotny
Modified: 2011-03-07 04:24 EST (History)
3 users (show)

See Also:
Fixed In Version: rhncfg-5.9.27-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-07 04:24:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Novotny 2010-08-31 04:03:26 EDT
Description of problem:
'rhncfg-client elist' command does not display info on symlinks.

Version-Release number of selected component (if applicable):
rhncfg-client-5.9.27-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Prerequisite is to have Sat540 (no sync is needed) with registered client (some of the RHEL3 to RHEL6). 
2. On Sat create a config channel: Configuration -> Configuration Channels -> create new config channel
3. In the config channel, create some files and symlinks: Configuration -> Configuration Channels -> Select Channel -> Add Files -> Create
4. On client, run 'rhncfg-client elist'

Actual results:
On symlinks there is no info like Mode, Owner, Group or Size.
See:
# rhncfg-client elist
Mode          Owner Group          Size Rev       Config Channel    File
                                     *0   1      symlink-channel    /tmp/TESTOUT-ln.log -> /tmp/TESTOUT.log
-rwxrw-r--     root root            170   1      symlink-channel    /tmp/TESTOUT.log
                                     *0   1      symlink-channel    /tmp/eclipse-prefs-ln2.bak -> /tmp/eclipse-prefs.bak
                                     *0   1      symlink-channel    /tmp/eclipse-prefs-symlink1.bak -> /tmp/eclipse-prefs.bak
-rwxrwxrwx     root root            558   4      symlink-channel    /tmp/eclipse-prefs.bak
drwxr-xr-x     root root             *0   2      symlink-channel    /tmp/test-dir
                                     *0   1      symlink-channel    /tmp/test-dir-symlink -> /tmp/test-dir


Expected results:
Blank columns should be filled according to link target. Size should not be zero.

Additional info:
Comment 2 Michael Mráka 2010-12-21 03:54:16 EST
Fixed in spacewalk git by
commit 044b2756a48c724e20ea0252e49599d6915bd025
    628846 - fixed symlink info

Fixed spacewalk package: rhncfg-5.9.38-1
Comment 3 Michael Mráka 2011-01-06 09:41:40 EST
Fixed in satellite git
commit 3c64dadafd54c003515bffe3b51f61902d36f05e
    628846 - fixed symlink info
    (cherry picked from commit 044b2756a48c724e20ea0252e49599d6915bd025)
Comment 5 Jiri Kastner 2011-01-14 04:21:12 EST
RHEL5:
[root@rlx-0-12 rhn]# ls -l /etc/fake-motd 
lrwxrwxrwx 1 root root 9 Jan 13 09:28 /etc/fake-motd -> /etc/motd
########### BEFORE ################
[root@rlx-0-12 rhn]# rhncfg-client elist
Mode          Owner Group          Size Rev      Config Channel    File
                                     *0   1         test-628846    /etc/fake-motd -> /etc/motd
########### AFTER ################
[root@rlx-0-12 ~]# rhncfg-client elist
Mode          Owner Group          Size Rev      Config Channel    File
lrwxrwxrwx     root root              9   1         test-628846    /etc/fake-motd -> /etc/motd

RHEL4:
[root@fjs-0-07 ~]# ls -l /etc/fake-motd
lrwxrwxrwx  1 root root 9 Jan 14 04:19 /etc/fake-motd -> /etc/motd
########### BEFORE ################
[root@fjs-0-07 ~]# rhncfg-client elist
Mode          Owner Group          Size Rev      Config Channel    File
                                     *0   1         test-628846    /etc/fake-motd -> /etc/motd
########### AFTER ################
[root@fjs-0-07 ~]# rhncfg-client elistMode          Owner Group          Size Rev      Config Channel    File
lrwxrwxrwx     root root              9   1         test-628846    /etc/fake-motd -> /etc/motd
Comment 6 errata-xmlrpc 2011-03-07 04:24:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0323.html

Note You need to log in before you can comment on or make changes to this bug.